'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Badge = exports.BadgeColors = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _checkTypes = require('check-types');

var _checkTypes2 = _interopRequireDefault(_checkTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _lodash = require('lodash.omit');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Badge color enumerable.
 *
 * @type {Object}
 */
var BadgeColors = exports.BadgeColors = {
  INFO: 'info',
  SECONDARY: 'secondary',
  SUCCESS: 'success',
  WARNING: 'warning',
  ALERT: 'alert'
};

/**
 * Badge component.
 * http://foundation.zurb.com/sites/docs/badge.html
 *
 * @param {Object} props
 * @returns {XML}
 */
var Badge = exports.Badge = function Badge(props) {
  _checkTypes2.default.assert.maybe.string(props.color, 'Badge.props.color must be a string.');

  var className = (0, _classnames2.default)(props.className || 'badge', props.color);

  var omitProps = ['color'];

  return _react2.default.createElement('span', _extends({}, (0, _lodash2.default)(props, omitProps), { className: className }));
};

exports.default = Badge;