'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BreadcrumbItem = exports.Breadcrumbs = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _checkTypes = require('check-types');

var _checkTypes2 = _interopRequireDefault(_checkTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _lodash = require('lodash.omit');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Breadcrumbs component.
 * http://foundation.zurb.com/sites/docs/breadcrumbs.html
 *
 * @param {Object} props
 * @returns {XML}
 */
var Breadcrumbs = exports.Breadcrumbs = function Breadcrumbs(props) {
  return _react2.default.createElement('ul', _extends({}, props, { className: props.className || 'breadcrumbs' }));
};

/**
 * Breadcrumb item component.
 *
 * @param {Object} props
 * @returns {XML}
 */
var BreadcrumbItem = exports.BreadcrumbItem = function BreadcrumbItem(props) {
  _checkTypes2.default.assert.maybe.boolean(props.isDisabled, 'BreadcrumbItem.props.isDisabled must be a boolean.');

  var className = (0, _classnames2.default)(props.className, {
    'disabled': props.isDisabled
  });

  var omitProps = ['isDisabled'];

  return _react2.default.createElement('li', _extends({}, (0, _lodash2.default)(props, omitProps), { className: className }));
};

exports.default = Breadcrumbs;