'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Icon = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _checkTypes = require('check-types');

var _checkTypes2 = _interopRequireDefault(_checkTypes);

var _lodash = require('lodash.omit');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Icon component.
 *
 * @param {{prefix: string, name: string}} props
 * @returns {XML}
 */
var Icon = exports.Icon = function Icon(props) {
  _checkTypes2.default.assert.string(props.name, 'Icon.name must be set.');
  _checkTypes2.default.assert.maybe.string(props.prefix, 'Icon.prefix must be a string.');

  var className = (0, _classnames2.default)(props.prefix, props.prefix ? props.prefix + '-' + props.name : props.name);

  var omitProps = ['prefix', 'name'];

  return _react2.default.createElement('i', _extends({}, (0, _lodash2.default)(props, omitProps), { className: className }));
};

exports.default = Icon;